Package com.xebialabs.xlrelease.domain.events

## Class ConfigurationUpdatedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction1<BaseConfiguration,​ConfigurationUpdatedEvent>
  - - com.xebialabs.xlrelease.domain.events.ConfigurationUpdatedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function1<BaseConfiguration,​ConfigurationUpdatedEvent>`

      public class ConfigurationUpdatedEvent$
      extends scala.runtime.AbstractFunction1<BaseConfiguration,​ConfigurationUpdatedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface scala.Function1

      `scala.Function1.UnliftOps<A extends java.lang.Object,​B extends java.lang.Object>, scala.Function1.UnliftOps$`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ConfigurationUpdatedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigurationUpdatedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConfigurationUpdatedEvent` | `apply​(BaseConfiguration updated)` |
    `java.lang.String` | `toString()` |
    `scala.Option<BaseConfiguration>` | `unapply​(ConfigurationUpdatedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction1

      `andThen, apply$mcDD$sp, apply$mcDF$sp, apply$mcDI$sp, apply$mcDJ$sp, apply$mcFD$sp, apply$mcFF$sp, apply$mcFI$sp, apply$mcFJ$sp, apply$mcID$sp, apply$mcIF$sp, apply$mcII$sp, apply$mcIJ$sp, apply$mcJD$sp, apply$mcJF$sp, apply$mcJI$sp, apply$mcJJ$sp, apply$mcVD$sp, apply$mcVF$sp, apply$mcVI$sp, apply$mcVJ$sp, apply$mcZD$sp, apply$mcZF$sp, apply$mcZI$sp, apply$mcZJ$sp, compose`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final ConfigurationUpdatedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### ConfigurationUpdatedEvent$

          public ConfigurationUpdatedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function1<BaseConfiguration,​ConfigurationUpdatedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction1<BaseConfiguration,​ConfigurationUpdatedEvent>`

    - #### apply

          public ConfigurationUpdatedEvent apply​(BaseConfiguration updated)

      Specified by:
        `apply` in interface `scala.Function1<BaseConfiguration,​ConfigurationUpdatedEvent>`

    - #### unapply

          public scala.Option<BaseConfiguration> unapply​(ConfigurationUpdatedEvent x$0)